curl --request GET \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/products/{id}/variants/ \
--header 'Authorization: Bearer <token>'{
"count": 12,
"results": [
{
"id": 100024,
"name": "T-Shirt, Blue, L",
"brand_identifier": "1000-BL-L",
"parent_identifier": "1000-BL",
"parent_name": "T-Shirt, Blue",
"attributes": [
{
"code": "size",
"name": "Size",
"type": "money",
"id": 44,
"editable_by": "brand",
"grouping": "general",
"description": "demo product description",
"units": "USD",
"values": {
"id": 123,
"value": "<string>",
"unit": {
"id": 677,
"name": "Sample unit",
"standard_unit": "<string>",
"type": "cost",
"system": "metric",
"symbol": "USD"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}
],
"identifier": "1000-BL-L",
"product_id": "4511",
"cartons": [
{
"id": 48,
"number": 1,
"length": "1",
"length_unit": "1",
"width": "1",
"width_unit": "meter",
"height": "1",
"height_unit": "meter",
"weight": "15",
"weight_unit": "KG",
"package_girth_inches": "1",
"package_size_inches": "1"
}
],
"upc": "9119119111",
"color": "Blue",
"style": "print",
"size": "Medium",
"active_permit": {
"id": 10104,
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-09-10T15:24:56Z",
"end_at": "2024-09-10T15:24:56Z",
"is_in_effect": true,
"revoked_at": "2022-09-10T15:24:56Z",
"is_acknowledged": true,
"acknowledged_at": "2022-09-10T15:24:56Z"
},
"permits": [
{
"id": 10104,
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-09-10T15:24:56Z",
"end_at": "2024-09-10T15:24:56Z",
"is_in_effect": true,
"revoked_at": "2022-09-10T15:24:56Z",
"is_acknowledged": true,
"acknowledged_at": "2022-09-10T15:24:56Z"
}
],
"permits_count": 1,
"inventory_policy": "Managed",
"media": [
{
"id": 249,
"width": 100,
"height": 100,
"media": "default",
"priority": 1,
"url": "192.168.99.100/media/default/original",
"updated_at": "2022-09-10T15:24:56Z",
"created_at": "2022-08-10T15:24:56Z"
}
],
"ruleset_variants": [
{
"id": 1232,
"status": "processing",
"results": "<string>",
"created_at": "2022-08-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z"
}
],
"ruleset_variant_summary": "<string>",
"is_compatible": true,
"proposal_variant": {
"id": 3456,
"pricing": "12.00",
"attributes": [
{
"id": 123,
"value": "<string>",
"unit": {
"id": 677,
"name": "Sample unit",
"standard_unit": "<string>",
"type": "cost",
"system": "metric",
"symbol": "USD"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"memos": [
{
"id": 1234,
"text": "Immediate requirement",
"visibility": "any",
"acknowledged_at": "2022-01-10T15:24:56Z",
"notify_people": true,
"created_by": {
"id": 542,
"first_name": "Sample",
"last_name": "Demo",
"title": "Demo",
"status": "Active",
"type": "standard",
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"is_me": true
},
"created_by_context": "retailer",
"created_at": "2021-09-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z"
}
],
"issues": [
{
"id": 123,
"memos": [
{
"id": 1234,
"text": "Immediate requirement",
"visibility": "any",
"acknowledged_at": "2022-01-10T15:24:56Z",
"notify_people": true,
"created_by": {
"id": 542,
"first_name": "Sample",
"last_name": "Demo",
"title": "Demo",
"status": "Active",
"type": "standard",
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"is_me": true
},
"created_by_context": "retailer",
"created_at": "2021-09-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"is_resolved": "<string>",
"issue_id": 123,
"message": "<string>",
"title": "<string>"
}
],
"variant_id": 249,
"approved_at": "2022-10-10T15:24:56Z",
"created_at": "2022-07-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z",
"rejected_at": null,
"reject_reason": "Incomplete",
"reject": true,
"approve": false,
"delete": false
},
"retailer_identifiers": [
{
"id": 5642,
"identifier": "SKU976",
"name": "Retailer Sample"
}
]
}
],
"next": "https://api.example.org/demo/{retailer_id}/?page=2",
"previous": "https://api.example.org/demo/{retailer_id}/?page=1"
}Retrieve variants belonging to a specific product.
curl --request GET \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/products/{id}/variants/ \
--header 'Authorization: Bearer <token>'{
"count": 12,
"results": [
{
"id": 100024,
"name": "T-Shirt, Blue, L",
"brand_identifier": "1000-BL-L",
"parent_identifier": "1000-BL",
"parent_name": "T-Shirt, Blue",
"attributes": [
{
"code": "size",
"name": "Size",
"type": "money",
"id": 44,
"editable_by": "brand",
"grouping": "general",
"description": "demo product description",
"units": "USD",
"values": {
"id": 123,
"value": "<string>",
"unit": {
"id": 677,
"name": "Sample unit",
"standard_unit": "<string>",
"type": "cost",
"system": "metric",
"symbol": "USD"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}
],
"identifier": "1000-BL-L",
"product_id": "4511",
"cartons": [
{
"id": 48,
"number": 1,
"length": "1",
"length_unit": "1",
"width": "1",
"width_unit": "meter",
"height": "1",
"height_unit": "meter",
"weight": "15",
"weight_unit": "KG",
"package_girth_inches": "1",
"package_size_inches": "1"
}
],
"upc": "9119119111",
"color": "Blue",
"style": "print",
"size": "Medium",
"active_permit": {
"id": 10104,
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-09-10T15:24:56Z",
"end_at": "2024-09-10T15:24:56Z",
"is_in_effect": true,
"revoked_at": "2022-09-10T15:24:56Z",
"is_acknowledged": true,
"acknowledged_at": "2022-09-10T15:24:56Z"
},
"permits": [
{
"id": 10104,
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-09-10T15:24:56Z",
"end_at": "2024-09-10T15:24:56Z",
"is_in_effect": true,
"revoked_at": "2022-09-10T15:24:56Z",
"is_acknowledged": true,
"acknowledged_at": "2022-09-10T15:24:56Z"
}
],
"permits_count": 1,
"inventory_policy": "Managed",
"media": [
{
"id": 249,
"width": 100,
"height": 100,
"media": "default",
"priority": 1,
"url": "192.168.99.100/media/default/original",
"updated_at": "2022-09-10T15:24:56Z",
"created_at": "2022-08-10T15:24:56Z"
}
],
"ruleset_variants": [
{
"id": 1232,
"status": "processing",
"results": "<string>",
"created_at": "2022-08-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z"
}
],
"ruleset_variant_summary": "<string>",
"is_compatible": true,
"proposal_variant": {
"id": 3456,
"pricing": "12.00",
"attributes": [
{
"id": 123,
"value": "<string>",
"unit": {
"id": 677,
"name": "Sample unit",
"standard_unit": "<string>",
"type": "cost",
"system": "metric",
"symbol": "USD"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"memos": [
{
"id": 1234,
"text": "Immediate requirement",
"visibility": "any",
"acknowledged_at": "2022-01-10T15:24:56Z",
"notify_people": true,
"created_by": {
"id": 542,
"first_name": "Sample",
"last_name": "Demo",
"title": "Demo",
"status": "Active",
"type": "standard",
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"is_me": true
},
"created_by_context": "retailer",
"created_at": "2021-09-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z"
}
],
"issues": [
{
"id": 123,
"memos": [
{
"id": 1234,
"text": "Immediate requirement",
"visibility": "any",
"acknowledged_at": "2022-01-10T15:24:56Z",
"notify_people": true,
"created_by": {
"id": 542,
"first_name": "Sample",
"last_name": "Demo",
"title": "Demo",
"status": "Active",
"type": "standard",
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"is_me": true
},
"created_by_context": "retailer",
"created_at": "2021-09-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"is_resolved": "<string>",
"issue_id": 123,
"message": "<string>",
"title": "<string>"
}
],
"variant_id": 249,
"approved_at": "2022-10-10T15:24:56Z",
"created_at": "2022-07-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z",
"rejected_at": null,
"reject_reason": "Incomplete",
"reject": true,
"approve": false,
"delete": false
},
"retailer_identifiers": [
{
"id": 5642,
"identifier": "SKU976",
"name": "Retailer Sample"
}
]
}
],
"next": "https://api.example.org/demo/{retailer_id}/?page=2",
"previous": "https://api.example.org/demo/{retailer_id}/?page=1"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.
1001
The unique product ID. This ID is automatically generated when a product is created or imported. To find your Product ID, click Products in the top nav > Products. On the Products page, search or filter for the product and select it. The Product Detail page is displayed. You will find the product number at the end of the HTTP URL.
OK
Total number of records
12
Show child attributes
Next page (applicable in a paginated response)
"https://api.example.org/demo/{retailer_id}/?page=2"
Previous page (applicable in a paginated response)
"https://api.example.org/demo/{retailer_id}/?page=1"
Was this page helpful?